##### posix::descriptor::descriptor (2 of 3 overloads)

Construct a descriptor on an existing native descriptor.

    descriptor(
        asio::io_context & io_context,
        const native_handle_type & native_descriptor);

This constructor creates a descriptor object to hold an existing native descriptor.

###### Parameters

io_context

  The `io_context` object that the descriptor will use to dispatch handlers for any asynchronous operations performed on the descriptor.

native_descriptor

  A native descriptor.

###### Exceptions

asio::system_error

  Thrown on failure.